Package Details: selinux-refpolicy-src 20220520-1

Git Clone URL: https://aur.archlinux.org/selinux-refpolicy-src.git (read-only, click to copy)
Package Base: selinux-refpolicy-src
Description: SELinux reference policy sources
Upstream URL: https://github.com/SELinuxProject/refpolicy/wiki
Keywords: selinux
Licenses: GPL
Submitter: sergej
Maintainer: IooNag
Last Packager: IooNag
Votes: 14
Popularity: 0.000000
First Submitted: 2009-11-09 11:24 (UTC)
Last Updated: 2022-05-29 11:43 (UTC)

Latest Comments

yar commented on 2019-12-21 22:42 (UTC)

I'm having the same issue as hack.augusto did.

hack.augusto commented on 2018-08-13 23:26 (UTC) (edited on 2018-08-13 23:33 (UTC) by hack.augusto)

post-transaction hook is failing with broken pipe.

logs: https://gist.github.com/hackaugusto/917cf570674c6a6e56521ef1cc5168ac


make load fails if the direction /var/lib/selinux/refpolicy doesn't exist

logs: https://gist.github.com/hackaugusto/693922e8a205b1b12586817e0152ec92

IooNag commented on 2017-05-17 21:52 (UTC)

Splith: thanks for your report. I changed the PKGBUILD accordingly: https://aur.archlinux.org/cgit/aur.git/commit/?h=selinux-refpolicy-src&id=aae4923a95a61f86a319b33a9ff704346b954c38

Splith commented on 2017-05-17 20:45 (UTC)

Can you change the requirements for this? linux-hardened is built with SELinux support but this PKGBUILD has to be manually edited each time as it insists on having linux-selinux but linux-hardened is sufficient

Araeos commented on 2015-01-14 17:42 (UTC)

After a fresh install+selinux configuration i tried this policy, but "make load" failed with "Error opening /etc/selinux/refpolicy/contexts/files/file_contexts.local: No such file or directory" I avoided this by creating said file. See post #7 for a seemingly identical situation: https://bbs.archlinux.org/viewtopic.php?id=188721

genghizkhan91 commented on 2013-05-26 16:13 (UTC)

The policy source needs to be updated as the previous policy version was slightly buggy and gave errors. I've flagged the package out of date. :)

commented on 2011-10-14 13:07 (UTC)

require kernel26-selinux.... fix to linux-selinux